Data - Retrieve SLO Data
Haalt SLO-gegevens op voor het verstrekte SLO-verzoek
POST http://<Servername>/OperationsManager/data/slo
Aanvraagbody
Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"
| Name | Vereist | Type | Description |
|---|---|---|---|
| duration | True |
string |
Duur |
| slaId | True |
string |
SLA-ID |
| slaManagedEntityRowId | True |
integer |
Rij-id van SLA voor beheerde entiteiten |
| sloId | True |
string |
SLO-ID |
| value | True |
integer |
Waarde |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. SLO-gegevens zijn met succes opgehaald. Media Types: "application/json", "text/json", "application/xml", "text/xml" |
Voorbeelden
RetrieveSLOData
Voorbeeldaanvraag
POST http://<Servername>/OperationsManager/data/slo
{
"sloId": "c67b6541-9a21-3745-bef3-b6542dd380a7",
"slaId": "e9163d5b-cb1f-7b06-ea4b-a984d0420f8d",
"value": 0,
"duration": "10",
"slaManagedEntityRowId": 141
}
Voorbeeldrespons
{
"id": null,
"goal": 0,
"desiredObjective": null,
"actualValue": 0
}
Definities
| Name | Description |
|---|---|
|
SLOData |
|
|
SLOData |
SLODataRequest
| Name | Type | Description |
|---|---|---|
| duration |
string |
Duur |
| slaId |
string |
SLA-ID |
| slaManagedEntityRowId |
integer |
Rij-id van SLA voor beheerde entiteiten |
| sloId |
string |
SLO-ID |
| value |
integer |
Waarde |
SLODataResponse
| Name | Type | Description |
|---|---|---|
| actualValue |
number |
Werkelijke waarde |
| desiredObjective |
string |
Gewenste doelstelling |
| goal |
number |
SLO-doel |
| id |
string |
SLO-ID |